#ifndef MAPSINI_H_
#define MAPSINI_H_

#include <string>
#include <vector>

using std::string;


/* Mission map class*/
typedef class MissionMapsClass{
	public:
		MissionMapsClass();
		~MissionMapsClass();
		void GetGdiMissionMap (unsigned int MissionNr, string &Name);
		void GetNodMissionMap (unsigned int MissionNr, string &Name);


	private:
		void ReadMissionData (void);

		std::vector<std::string> Mapdata;
		std::vector<std::string> NodMissionMaps, GdiMissionMaps;
		std::vector<std::string> MissionBriefing, MultiPlayerMapNames;
};

/* Multiplayer map class*/
typedef class MPmapsClass{
	public:
		MPmapsClass();
		~MPmapsClass();
		bool GetMapDescription (unsigned int Index, std::string &String);
		bool GetMapName (unsigned int Index, std::string &Name);

	private:
		std::vector<std::string> MapNames;
		std::vector<std::string> MapDescriptions;
		void ReadMapData (void);
};

#endif

