#ifndef SDLLAYER_H_
#define SDLLAYER_H_
#include "SDL.h"


//
// Function definitions
//
extern void get_pixel ( SDL_Surface* Surface, Uint32 &color, Uint32 x, Uint32 y );
extern void get_pixel ( SDL_Surface* Surface, SDL_Color &RGBcolor, Uint32 x, Uint32 y );
extern void set_pixel ( SDL_Surface* Surface, Uint32 color, Uint32 x, Uint32 y );
extern void set_pixel ( SDL_Surface* Surface, SDL_Color RGBcolor, Uint32 x, Uint32 y );

extern void draw_rectangle ( SDL_Surface* Surface, Uint32 color, Uint16 x, Uint16 y, Uint16 width, Uint16 height, Uint8 lnpx = 1);
extern void draw_rectangle ( SDL_Surface* Surface, SDL_Color RGBcolor, Uint16 x, Uint16 y, Uint16 width, Uint16 height, Uint8 lnpx = 1);
extern void draw_solidrectangle ( SDL_Surface* Surface, Uint32 color, Uint16 x, Uint16 y, Uint16 width, Uint16 height );
extern void draw_solidrectangle ( SDL_Surface* Surface, SDL_Color RGBcolor, Uint16 x, Uint16 y, Uint16 width, Uint16 height );



#endif //SDLLAYER_H_
