// mode: -*- C++ -*-
/*****************************************************************************
 * game.h - header file for game class
 ****************************************************************************/
#ifndef GAME_H
#define GAME_H

#include "config.h"

class Game
{
public:
    Game();
    ~Game();
	void HandleGameMenu();
	void InitializeMap( std::string MapName );
	void InitializeGameClasses (void);
	void FreeMemory();
    void play();
    void HandleTiming (void);
    void dumpstats();
    class GameError {};
private:
	Uint8	MissionNr;
	Uint32 OldUptime;
    ConfigType config;
    Uint8 gamemode;
	bool BattleControlTerminated;
};

#endif
