#ifndef SOUNDCOMMON_H
#define SOUNDCOMMON_H

#include <vector>
#include "SDL_types.h"

#define SOUND_FORMAT    AUDIO_S16SYS
#define SOUND_CHANNELS  2
#define SOUND_FREQUENCY 22050

#define SOUND_MAX_CHUNK_SIZE        16384
#define SOUND_MAX_UNCOMPRESSED_SIZE (SOUND_MAX_CHUNK_SIZE << 2)
#define SOUND_MAX_COMPRESSED_SIZE   SOUND_MAX_CHUNK_SIZE

typedef std::vector<Uint8> SampleBuffer;

#endif /* SOUNDCOMMON_H */
