#!/bin/sh

set -e

fail ()
{
    echo "$@"
    read
    exit 1
}

DIR=$PWD
CWD=`basename $DIR`
if [ "$CWD" == "tools" ]
then
    cd ..
elif [ "$CWD" != "freecnc++" ]
then
    fail "Run me from the tools directory"
fi

cd data/mix
echo "Attempting to download Tiberian Dawn demo mix files...."
wget -q -nd -A mix -r http://zx64.uwcs.co.uk/freecnc/mix/ && exit 0
wget -q ftp://ftp.westwood.com/pub/cc1/previews/demo/cc1demo1.zip \
        ftp://ftp.westwood.com/pub/cc1/previews/demo/cc1demo2.zip \
    || fail "Failed to download files from Westwood's server"
unzip -o -qq -L cc1demo1.zip \*.mix
unzip -o -qq -L cc1demo2.zip \*.mix
rm cc1demo[12].zip

